Results 1 to 4 of 4

Thread: Is forcing upgrade safe?

Hybrid View

  1. #1
    Senior Member
    Join Date
    Apr 2006
    Posts
    154

    Default Is forcing upgrade safe?

    root@bt:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages have been kept back:
    backtrack-utils framework3 set tcpreplay
    0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.


    is it safe to force the installation of those packets? (anyone tryed?)

  2. #2
    Just burned his ISO
    Join Date
    Sep 2010
    Posts
    18

    Default Respuesta: Is forcing upgrade safe?

    Ubuntu-based OSs like BT occasionally hold back packages that would make "major changes", which typically include kernel upgrades and the like.

    I have never had problems upgrading the "held back" packages, you simply have to use the command:
    Code:
    apt-get dist-upgrade

  3. #3
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: Respuesta: Is forcing upgrade safe?

    Well telling someone that you have never had problems without also telling them about the potential for problems to arise is not good advice.
    OP it might do you well to try and determine why certain packages are being held back and then determine if forcing the install of these may cause you problems.
    I would look in the beginner section here and see all of the recent posts in regards to metasploit. That's should take care of your question.

    See also http://www.linux.com/archive/feed/48910 for more general info.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  4. #4
    Senior Member
    Join Date
    Apr 2006
    Posts
    154

    Default Re: Respuesta: Is forcing upgrade safe?

    Quote Originally Posted by Archangel-Amael View Post
    Well telling someone that you have never had problems without also telling them about the potential for problems to arise is not good advice.
    OP it might do you well to try and determine why certain packages are being held back and then determine if forcing the install of these may cause you problems.
    I would look in the beginner section here and see all of the recent posts in regards to metasploit. That's should take care of your question.

    See also http://www.linux.com/archive/feed/48910 for more general info.
    Thanks Archangel,
    but i missed the important point...(my fault!!!!) that i know what does "not upgraded" means.
    The thing that i would like to know is if these packages: "backtrack-utils framework3 set tcpreplay" are safe or not to be upgraded (that's slightly odd in a distro like backtrack...or am i wrong?).

    Sorry for my english!

Similar Threads

  1. Replies: 0
    Last Post: 11-17-2009, 09:08 PM
  2. Bypass safe mode
    By xpleet in forum OLD Pentesting
    Replies: 8
    Last Post: 05-01-2009, 08:35 PM
  3. safe-upgrade buggy
    By nightowl in forum OLD BT4beta Bugs and Fixes
    Replies: 6
    Last Post: 03-20-2009, 02:46 PM
  4. hacker safe
    By purehate in forum OLD General IT Discussion
    Replies: 16
    Last Post: 02-07-2008, 06:40 AM
  5. Am I Safe Now ?
    By littlefighter2 in forum OLD Newbie Area
    Replies: 10
    Last Post: 10-05-2007, 09:18 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •